## 混合云 {docsify-ignore}

混合云是指充分利用公有云与局域网的各方面优势，以较低的成本就可获取很好的存储使用体验的一种综合方案。这也是我们强烈推荐的使用方式。

混合云方案免去了[自搭建云盘](/cloud_netdisk)中必须支付开通云主机的费用，也解决了[局域网部署](/local_network)时无法提供外网访问的烦恼。

?> 一般用户无需开通云主机，主要是利用了官方子网 kstore 提供的中继传输服务；当然用户也可以提供自己的中继节点

下面以两个具体使用场景来说明如何操作

**场景一**

需求：个人使用者已经在家里使用 kstore 搭建了 [NAS](/local_network)，并以其作为[数据中心](/admin_sync_backup)，日常所有数据都存储其中，现希望在公司办公的时候能够获取到家里“数据中心”的文件

![cross_transfer](docimgs/cross_transfer.png)

对于这种场景，仅需要在公司使用的机子中也安装 kstore，并使用同一个账号登录，就可浏览所有的数据。当然此时文件实际还不存在于正在使用的机子上，当双击执行下载后，才会将文件真正拉取过来。

当拉取文件时，kstore 会尝试建立 P2P 连接以及使用中继节点进行并发传输。

若需要将正在办公的资料传输到家里的设备，这也是可以的。直接在公司的机子上将文件上传到kstore，家里的设备就会自动同步过去了，因为前面假设了家里的设备开启了[数据中心](/admin_sync_backup)选项

> 在该场景中
- 用户的数据完全控制在用户家里的设备中
- 用户不管是在家里，还是在公司的局域网络中，使用的时候都是操作各自本地的 kstore，这就是就近服务
- 家里的设备需要长期运行，即至少要保证有一个在线节点有该文件

**场景二**

个人使用者同时在云主机和家庭局域网部署 kstore（并以家庭设备作为[数据中心](/admin_sync_backup)），利用云主机提供的外网访问能力，还有局域网提供的存储空间，打造超大容量的云盘。

![public_network](docimgs/public_network.png)

在这种场景中，用户可以使用浏览器直接访问云盘，当下载的文件不在云盘中时，再从家里设备中拉取。当上传数据到云盘时，家里的设备也会自动同步，这也是因为前面我们假设了家里的设备已开启[数据中心](/admin_sync_backup)选项

> 在该场景中
- 用户的数据依然完全控制在用户家里的设备中
- 云盘节点扩展了访问入口，使得整个存储系统有了外网访问能力